package com.gyt.shr.util;

import com.gyt.shr.entity.CodeRecord;
import com.gyt.shr.entity.Person;

/**
 * @author coyle
 * @description 用于封装普通用户的一系列方法
 */
public class GlobalUtil {
    //1.对普通用户信息进行脱敏
    public static Person getSafetyUser(CodeRecord normalUser) {
        Person safetyUser = new Person();
        safetyUser.setFid(normalUser.getPid());
        safetyUser.setPname(normalUser.getFname());
        safetyUser.setNcell(normalUser.getFnumber());
        return safetyUser;
    }

}
